function::user_string_n_warn
Prev | Chapter 25. String and data retrieving functions Tapset | Next

## Name

function::user_string_n_warn — Retrieves string from user space

## Synopsis

    1) user_string_n_warn:string(addr:long,n:long)

    2) user_string_n_warn:string(addr:long,n:long,warn_msg:string)

## Arguments

`addr`

  the user space address to retrieve the string from

`n`

  the maximum length of the string (if not null terminated)

`warn_msg`

  the warning message to return when data isn't available

## Description

1) Returns up to n characters of a C string from a given user space memory address. Reports“<unknown>” on the rare cases when userspace data is not accessible and warns (but does not abort) about the failure.

2) Returns up to n characters of a C string from a given user space memory address. Reports the given warning message on the rare cases when userspace data is not accessible and warns (but does not abort) about the failure.

Prev | Up | Next
function::user_string_n_quoted | Home | function::user_string_nofault